Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ServerSocket Class Reference

## Public Member Functions
| ServerSocket (int port)
| Creates a server socket on a specified port. More...
virtual | ~ServerSocket ()
SocketPtr | accept ()
| Listens for a connection to be made to this socket and accepts it. More...
void | close ()
| Closes this socket. More...
int | getSoTimeout () const
| Retrive setting for SO_TIMEOUT. More...
void | setSoTimeout (int timeout)
| Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds. More...

## Constructor & Destructor Documentation

ServerSocket | ( | int | port | ) |

Creates a server socket on a specified port.

virtual ~ServerSocket | ( |  | ) |
| virtual

## Member Function Documentation

SocketPtr accept | ( |  | ) |

Listens for a connection to be made to this socket and accepts it.

void close | ( |  | ) |

Closes this socket.

int getSoTimeout | ( |  | ) | const

Retrive setting for SO_TIMEOUT.

void setSoTimeout | ( | int | timeout | ) |

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

The documentation for this class was generated from the following file:

- serversocket.h